#include <iostream>
using namespace std;
long long n, i, a[100007], s, j;
int main() 
{
	cin>>n;
	for (i=1; i<=n; i++)
		cin>>a[i];
	for (i=n; i>=1; i--)
		{
		s+=a[i];
		for (j=i; j>=1; j--)
			if (a[j]!=a[i] && a[j]>0) a[j]--;
		}
	cout<<s;
	return 0;
}